EventBufferEvent::free
EventBufferEvent::getEnabled
EventBufferEvent
PHP Manual

# EventBufferEvent::getDnsErrorString

(PECL event >= 1.2.6-beta)

EventBufferEvent::getDnsErrorString — Returns string describing the last failed DNS lookup attempt

### Description

public string EventBufferEvent::getDnsErrorString ( void )

Returns string describing the last failed DNS lookup attempt made by EventBufferEvent::connectHost() , or an empty string, if there is no DNS error detected.

### Parameters

This function has no parameters.

### Return Values

Returns a string describing DNS lookup error, or an empty string for no error.

### See Also

- EventBufferEvent::connectHost() - Connects to a hostname with optionally asyncronous DNS resolving

EventBufferEvent::free
EventBufferEvent::getEnabled
EventBufferEvent
PHP Manual